| Home | Libraries | People | FAQ | More

#### tcp_ssl_connection

(Legacy) A connection to MySQL over a TCP socket using TLS.

##### Synopsis

Defined in header `<boost/mysql/tcp_ssl.hpp>`

    using tcp_ssl_connection = connection< boost::asio::ssl::stream< boost::asio::ip::tcp::socket > >;

##### Legacy

New code should use `any_connection` instead of `connection` and its helper typedefs, as it's simpler to use and provides the same level of performance.

Convenience header `<boost/mysql.hpp>`